﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

// 1.  reference  Framework: System.windows.Controls.Ribbon
// 2.  using System.Windows.Controls.Ribbon;
using System.Windows.Controls.Ribbon;


namespace RibbonControl {
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow {

        private String databasefile = null;

        public MainWindow() {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e) {
            setGUI();

        }

        private void setGUI() {

            CommandBindings.Add(new CommandBinding( MyCommands.NewDBFile, NewDBFileExecuted));

            CommandBindings.Add(new CommandBinding(MyCommands.OpenDBFile, OpenDBFileExecuted));

        }

        private void CheckCanExecuted(object sender, CanExecuteRoutedEventArgs e) {
            e.CanExecute = databasefile != null;
        }

        private void NewDBFileExecuted(object sender, ExecutedRoutedEventArgs e) {
            databasefile = "abc.fdb";
        }

        private void OpenDBFileExecuted(object sender, ExecutedRoutedEventArgs e) {
        }


    }
}
